gcc update auf 4.3.1

27/12/2008 - 16:06 von marexel | Report spam
hallo,

auf meinem x86_64 suse 10.3 làuft gcc 4.2.1
auf grund eines kompilierungsfehlers gem.
http://www.nabble.com/Latest-enblen...E-anneal.h:63:-internal-compiler-error:-in--reference_to_unused-td17839884.html
möchte ich auf 4.3.1 updaten, finde jedoch kein rpm über yast,
software.opensuse.de o.à.
einzig brauchbares schien mir
ftp://ftp.pbone.net/mirror/ftp5.gwd...ories/Base:/build/standard/x86_64/gcc-4.4-1.58.x86_64.rpm,
das kann aber über yast nicht installiert werden ("keine
verfügbarenabbieter" wird gemeldet).
gibts ne andere update-lösung oder muss ich 4.3.1(oder 2) kompilieren?
oder gibts dann gar knatsch weil verschiedene gcc existieren?
danke für hilfe,

marexel
 

Lesen sie die antworten

#1 Henning Paul
28/12/2008 - 12:29 | Warnen spam
marexel schrieb:

muss ich 4.3.1(oder 2) kompilieren?



Ja. Das ist aber recht schmerzarm. Das Source-RPM von openSUSE 11.1
mit "rpmbuild --rebuild" neu kompilieren.

oder gibts dann gar knatsch weil verschiedene gcc existieren?



Das sicherlich.

Gruß
Henning
henning paul home: http://home.arcor.de/henning.paul
PM: , ICQ: 111044613

Ähnliche fragen